#include <gtk/gtk.h>
#include "platform-gtk.h"

#if !GTK_CHECK_VERSION(2,24,0)

struct GtkComboBoxText {
    GtkComboBox cb;
};

GtkWidget *gtk_combo_box_text_new (void)
{
    auto store = gtk_list_store_new(1, G_TYPE_STRING);
    auto combo_box = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    g_object_unref(store);
    auto cell = gtk_cell_renderer_text_new();
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(combo_box), cell, TRUE);
    gtk_cell_layout_add_attribute(GTK_CELL_LAYOUT(combo_box), cell, "text", 0);

    return combo_box;
}

void gtk_combo_box_text_append_text (GtkComboBoxText *combo_box, const gchar *text)
{
    auto store = gtk_combo_box_get_model(GTK_COMBO_BOX(combo_box));
    gtk_list_store_insert_with_values(GTK_LIST_STORE(store), NULL, -1, 0, text, -1);
}

#endif

