#include <glib.h>
#include <time.h>
#include "platform-glib.h"

#if !GLIB_CHECK_VERSION(2,28,0)

void g_slist_free_full (GSList *list, GDestroyNotify free_func)
{
    g_slist_foreach (list, (GFunc)free_func, NULL);
    g_slist_free (list);
}

gint64 g_get_monotonic_time (void)
{
    struct timespec _tp;

    clock_gettime(CLOCK_MONOTONIC, &_tp);

    return (_tp.tv_sec * (gint64)1000000) + (_tp.tv_nsec / 1000);
}

gint64 g_get_real_time (void)
{
    struct timespec _tp;

    clock_gettime(CLOCK_REALTIME, &_tp);

    return (_tp.tv_sec * (gint64)1000000) + (_tp.tv_nsec / 1000);
}

#endif

